# Interface NativeTestSuiteSpec

All Superinterfaces:
  `ComponentSpec, GeneralComponentSpec, ModelElement, Named, NativeComponentSpec, SourceComponentSpec, TestSuiteSpec, VariantComponent, VariantComponentSpec`

All Known Subinterfaces:
  `CUnitTestSuiteSpec, GoogleTestTestSuiteSpec`

@Incubating public interface NativeTestSuiteSpec extends TestSuiteSpec, NativeComponentSpec
A component representing a suite of tests that will be executed together.

Since:
  4.2

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`NativeComponentSpec`
`getTestedComponent()`
The tested component.

### Methods inherited from interface ComponentSpec

`getProjectPath`

### Methods inherited from interface ModelElement

`getDisplayName`

### Methods inherited from interface NativeComponentSpec

`getBaseName, setBaseName`

### Methods inherited from interface SourceComponentSpec

`getSources`

### Methods inherited from interface TestSuiteSpec

`setTestedComponent, testing`

### Methods inherited from interface VariantComponent

`getName, getVariants`

### Methods inherited from interface VariantComponentSpec

`getBinaries`

## Method Details

### getTestedComponent

NativeComponentSpec getTestedComponent()
Description copied from interface: `TestSuiteSpec`
The tested component.

Specified by:
  `getTestedComponent` in interface `TestSuiteSpec`